<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="@dimen/_25sdp"
    android:background="@color/white"
    xmlns:ads="http://schemas.android.com/apk/res-auto"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context="com.empiere.playersbeat.Notifications.Notification_F">



        <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_weight="1"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            android:background="@color/white">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/d_bottom_gray_line">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Notifications"
                    android:id="@+id/username"
                    android:textSize="16dp"
                    android:textStyle="bold"
                    android:layout_centerInParent="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10dp"
                    android:textColor="@color/black"/>


                <ImageButton
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/ic_send_black"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:scaleType="fitCenter"
                    android:id="@+id/inbox_btn"
                    android:background="@color/transparent"/>

            </RelativeLayout>
        </androidx.appcompat.widget.Toolbar>

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/swiperefresh"
                android:layout_below="@+id/toolbar"
                android:layout_above="@+id/bannerad">

                <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">


             <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:gravity="center_horizontal">

            <androidx.recyclerview.widget.RecyclerView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/recylerview"/>

        </LinearLayout>


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/no_data_layout"
                android:background="@color/white">

                <ImageView
                    android:layout_width="120dp"
                    android:layout_height="120dp"
                    android:id="@+id/img_no_job"
                    android:layout_centerInParent="true"
                    android:src="@drawable/ic_whoops"
                    />

                <TextView
                    android:layout_height="wrap_content"
                    android:layout_width="wrap_content"
                    android:layout_below="@+id/img_no_job"
                    android:layout_centerHorizontal="true"
                    android:text="Whoops!"
                    android:textColor="@color/dimgray"
                    android:id="@+id/whoops"
                    android:textSize="22sp"/>

                <TextView
                    android:layout_height="wrap_content"
                    android:layout_width="wrap_content"
                    android:layout_below="@+id/whoops"
                    android:layout_centerHorizontal="true"
                    android:gravity="center"
                    android:textColor="@color/dimgray"
                    android:layout_marginLeft="55dp"
                    android:layout_marginRight="55dp"
                    android:text="There is no notifications you have so far"
                    android:textSize="14sp"/>

            </RelativeLayout>

            </RelativeLayout>

            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

            <com.google.android.gms.ads.AdView
                android:id="@+id/bannerad"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                ads:adSize="BANNER"
                android:layout_above="@+id/write_layout"
                ads:adUnitId="@string/banner_ad"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:visibility="gone">
            </com.google.android.gms.ads.AdView>


        </RelativeLayout>


</FrameLayout>
